<?php

$green_agro_landscaping_tp_theme_css = '';

//theme color
$green_agro_landscaping_tp_color_option = get_theme_mod('green_agro_landscaping_tp_color_option');

// 1st color
$green_agro_landscaping_tp_color_option = get_theme_mod('green_agro_landscaping_tp_color_option', '#7ac044');
if ($green_agro_landscaping_tp_color_option) {
	$green_agro_landscaping_tp_theme_css .= ':root {';
	$green_agro_landscaping_tp_theme_css .= '--color-primary1: ' . esc_attr($green_agro_landscaping_tp_color_option) . ';';
	$green_agro_landscaping_tp_theme_css .= '}';
}

//Secoundary  color
$green_agro_landscaping_tp_secoundary_color_option = get_theme_mod('green_agro_landscaping_tp_secoundary_color_option');

if($green_agro_landscaping_tp_secoundary_color_option != false){
$green_agro_landscaping_tp_theme_css .='#static-blog h3 ,.fund-box i , p.infotext,.woocommerce ul.products li.product .woocommerce-loop-product__title,.woocommerce ul.products li.product .price,.woocommerce div.product .product_title, .woocommerce div.product p.price,a:hover, .main-navigation a:hover, h1, h2, h3, h4, h5, h6, .woocommerce-products-header h2,.page-numbers:hover {';
	$green_agro_landscaping_tp_theme_css .='color: '.esc_attr($green_agro_landscaping_tp_secoundary_color_option).';';
$green_agro_landscaping_tp_theme_css .='}';
}

if($green_agro_landscaping_tp_secoundary_color_option != false){
$green_agro_landscaping_tp_theme_css .='.main-navigation ul ul,.woocommerce ul.products li.product .onsale,.woocommerce span.onsale,.more-btn a:hover,#theme-sidebar button[type="submit"]:hover , .woocommerce button.button.alt:hover, #footer button[type="submit"]:hover ,.woocommerce a.button:hover ,.woocommerce button.button:hover,.woocommerce a.button.alt:hover,.woocommerce #respond input#submit:hover,.next.page-numbers:hover,#theme-sidebar button[type="submit"]:hover, .woocommerce nav.woocommerce-pagination ul li a:hover,.woocommerce nav.woocommerce-pagination ul li span.current,.wc-block-cart__submit-container a:hover ,.wc-block-grid__product-add-to-cart.wp-block-button .wp-block-button__link:hover,#return-to-top{';
	$green_agro_landscaping_tp_theme_css .='background: '.esc_attr($green_agro_landscaping_tp_secoundary_color_option).';';
$green_agro_landscaping_tp_theme_css .='}';
}
if($green_agro_landscaping_tp_secoundary_color_option != false){
$green_agro_landscaping_tp_theme_css .='.woocommerce .quantity .qty ,.woocommerce-MyAccount-navigation, .error-404 [type="submit"],.error-404 input[type="search"],.readmore-btn a:hover,.logo a  {';
	$green_agro_landscaping_tp_theme_css .='border-color: '.esc_attr($green_agro_landscaping_tp_secoundary_color_option).';';
$green_agro_landscaping_tp_theme_css .='}';
}
 
if($green_agro_landscaping_tp_secoundary_color_option != false){
$green_agro_landscaping_tp_theme_css .='@media screen and (max-width:560px) {';
$green_agro_landscaping_tp_theme_css .='.headerbox.login-user.stick_head .logo a {';
    $green_agro_landscaping_tp_theme_css .='color: '.esc_attr($green_agro_landscaping_tp_secoundary_color_option).';';
$green_agro_landscaping_tp_theme_css .='} }';
}

if($green_agro_landscaping_tp_secoundary_color_option != false){
$green_agro_landscaping_tp_theme_css .='@media screen and (max-width:1000px) {';
$green_agro_landscaping_tp_theme_css .='.sidenav  {';
    $green_agro_landscaping_tp_theme_css .='background: '.esc_attr($green_agro_landscaping_tp_secoundary_color_option).';';
$green_agro_landscaping_tp_theme_css .='} }';
}

//preloader

$green_agro_landscaping_tp_preloader_color1_option = get_theme_mod('green_agro_landscaping_tp_preloader_color1_option');
$green_agro_landscaping_tp_preloader_color2_option = get_theme_mod('green_agro_landscaping_tp_preloader_color2_option');
$green_agro_landscaping_tp_preloader_bg_color_option = get_theme_mod('green_agro_landscaping_tp_preloader_bg_color_option');

if($green_agro_landscaping_tp_preloader_color1_option != false){
$green_agro_landscaping_tp_theme_css .='.center1{';
	$green_agro_landscaping_tp_theme_css .='border-color: '.esc_attr($green_agro_landscaping_tp_preloader_color1_option).' !important;';
$green_agro_landscaping_tp_theme_css .='}';
}
if($green_agro_landscaping_tp_preloader_color1_option != false){
$green_agro_landscaping_tp_theme_css .='.center1 .ring::before{';
	$green_agro_landscaping_tp_theme_css .='background: '.esc_attr($green_agro_landscaping_tp_preloader_color1_option).' !important;';
$green_agro_landscaping_tp_theme_css .='}';
}
if($green_agro_landscaping_tp_preloader_color2_option != false){
$green_agro_landscaping_tp_theme_css .='.center2{';
	$green_agro_landscaping_tp_theme_css .='border-color: '.esc_attr($green_agro_landscaping_tp_preloader_color2_option).' !important;';
$green_agro_landscaping_tp_theme_css .='}';
}
if($green_agro_landscaping_tp_preloader_color2_option != false){
$green_agro_landscaping_tp_theme_css .='.center2 .ring::before{';
	$green_agro_landscaping_tp_theme_css .='background: '.esc_attr($green_agro_landscaping_tp_preloader_color2_option).' !important;';
$green_agro_landscaping_tp_theme_css .='}';
}
if($green_agro_landscaping_tp_preloader_bg_color_option != false){
$green_agro_landscaping_tp_theme_css .='.loader{';
	$green_agro_landscaping_tp_theme_css .='background: '.esc_attr($green_agro_landscaping_tp_preloader_bg_color_option).';';
$green_agro_landscaping_tp_theme_css .='}';
}

// footer-bg-color
$green_agro_landscaping_tp_footer_bg_color_option = get_theme_mod('green_agro_landscaping_tp_footer_bg_color_option');

if($green_agro_landscaping_tp_footer_bg_color_option != false){
$green_agro_landscaping_tp_theme_css .='#footer{';
	$green_agro_landscaping_tp_theme_css .='background: '.esc_attr($green_agro_landscaping_tp_footer_bg_color_option).' !important;';
$green_agro_landscaping_tp_theme_css .='}';
}

// logo tagline color
$green_agro_landscaping_site_tagline_color = get_theme_mod('green_agro_landscaping_site_tagline_color');

if($green_agro_landscaping_site_tagline_color != false){
$green_agro_landscaping_tp_theme_css .='.logo h1 a, .logo p.site-title a{';
$green_agro_landscaping_tp_theme_css .='color: '.esc_attr($green_agro_landscaping_site_tagline_color).';';
$green_agro_landscaping_tp_theme_css .='}';
}

$green_agro_landscaping_logo_tagline_color = get_theme_mod('green_agro_landscaping_logo_tagline_color');
if($green_agro_landscaping_logo_tagline_color != false){
$green_agro_landscaping_tp_theme_css .='p.site-description{';
$green_agro_landscaping_tp_theme_css .='color: '.esc_attr($green_agro_landscaping_logo_tagline_color).';';
$green_agro_landscaping_tp_theme_css .='}';
}

// footer widget title color
$green_agro_landscaping_footer_widget_title_color = get_theme_mod('green_agro_landscaping_footer_widget_title_color');
if($green_agro_landscaping_footer_widget_title_color != false){
$green_agro_landscaping_tp_theme_css .='#footer h3{';
$green_agro_landscaping_tp_theme_css .='color: '.esc_attr($green_agro_landscaping_footer_widget_title_color).';';
$green_agro_landscaping_tp_theme_css .='}';
}

// copyright text color
$green_agro_landscaping_footer_copyright_text_color = get_theme_mod('green_agro_landscaping_footer_copyright_text_color');
if($green_agro_landscaping_footer_copyright_text_color != false){
$green_agro_landscaping_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$green_agro_landscaping_tp_theme_css .='color: '.esc_attr($green_agro_landscaping_footer_copyright_text_color).' !important;';
$green_agro_landscaping_tp_theme_css .='}';
}

// header image title color
$green_agro_landscaping_header_image_title_text_color = get_theme_mod('green_agro_landscaping_header_image_title_text_color');
if($green_agro_landscaping_header_image_title_text_color != false){
$green_agro_landscaping_tp_theme_css .='.box-text h2{';
$green_agro_landscaping_tp_theme_css .='color: '.esc_attr($green_agro_landscaping_header_image_title_text_color).';';
$green_agro_landscaping_tp_theme_css .='}';
}

// menu color
$green_agro_landscaping_menu_color = get_theme_mod('green_agro_landscaping_menu_color');
if($green_agro_landscaping_menu_color != false){
$green_agro_landscaping_tp_theme_css .='.main-navigation a{';
$green_agro_landscaping_tp_theme_css .='color: '.esc_attr($green_agro_landscaping_menu_color).';';
$green_agro_landscaping_tp_theme_css .='}';
}

//Footer Font Weight
$green_agro_landscaping_footer_copyright_title_font_weight = get_theme_mod( 'green_agro_landscaping_footer_copyright_title_font_weight','');
if($green_agro_landscaping_footer_copyright_title_font_weight == '100'){
$green_agro_landscaping_tp_theme_css .='#footer .site-info p {';
    $green_agro_landscaping_tp_theme_css .='font-weight: 100;';
$green_agro_landscaping_tp_theme_css .='}';
}else if($green_agro_landscaping_footer_copyright_title_font_weight == '200'){
$green_agro_landscaping_tp_theme_css .='#footer .site-info p {';
    $green_agro_landscaping_tp_theme_css .='font-weight: 200;';
$green_agro_landscaping_tp_theme_css .='}';
}else if($green_agro_landscaping_footer_copyright_title_font_weight == '300'){
$green_agro_landscaping_tp_theme_css .='#footer .site-info p {';
    $green_agro_landscaping_tp_theme_css .='font-weight: 300;';
$green_agro_landscaping_tp_theme_css .='}';
}else if($green_agro_landscaping_footer_copyright_title_font_weight == '400'){
$green_agro_landscaping_tp_theme_css .='#footer .site-info p {';
    $green_agro_landscaping_tp_theme_css .='font-weight: 400;';
$green_agro_landscaping_tp_theme_css .='}';
}else if($green_agro_landscaping_footer_copyright_title_font_weight == '500'){
$green_agro_landscaping_tp_theme_css .='#footer .site-info p {';
    $green_agro_landscaping_tp_theme_css .='font-weight: 500;';
$green_agro_landscaping_tp_theme_css .='}';
}else if($green_agro_landscaping_footer_copyright_title_font_weight == '600'){
$green_agro_landscaping_tp_theme_css .='#footer .site-info p {';
    $green_agro_landscaping_tp_theme_css .='font-weight: 600;';
$green_agro_landscaping_tp_theme_css .='}';
}else if($green_agro_landscaping_footer_copyright_title_font_weight == '700'){
$green_agro_landscaping_tp_theme_css .='#footer .site-info p {';
    $green_agro_landscaping_tp_theme_css .='font-weight: 700;';
$green_agro_landscaping_tp_theme_css .='}';
}else if($green_agro_landscaping_footer_copyright_title_font_weight == '800'){
$green_agro_landscaping_tp_theme_css .='#footer .site-info p {';
    $green_agro_landscaping_tp_theme_css .='font-weight: 800;';
$green_agro_landscaping_tp_theme_css .='}';
}else if($green_agro_landscaping_footer_copyright_title_font_weight == '900'){
$green_agro_landscaping_tp_theme_css .='#footer .site-info p {';
    $green_agro_landscaping_tp_theme_css .='font-weight: 900;';
$green_agro_landscaping_tp_theme_css .='}';
}